Module PCI_OVERRIDES for retro kernel

/etc/rc.d/MODULESCONFIG currently has this:

PCI_OVERRIDES='dmfe 0x00001282 0x00009102 #r_hughes reports tulip module not work.
hso 0x00000AF0 0x00007071 #rerwin: Supercedes option module for these 3G USB modems
hso 0x00000AF0 0x00007111
hso 0x00000AF0 0x00007071
hso 0x00000AF0 0x00007051
hso 0x00000AF0 0x00007031
hso 0x00000AF0 0x00007011
hso 0x00000AF0 0x00006911
hso 0x00000AF0 0x00006811
hso 0x00000AF0 0x00006771
hso 0x00000AF0 0x00006751
hso 0x00000AF0 0x00006731
hso 0x00000AF0 0x00006711
'


This specifies which module to load for a specific vendor:chip PCI ID, overriding whatever other module might qualify, or if no module qualifies.

Puppy 412 has this:

PCI_OVERRIDES='dmfe 0x00001282 0x00009102 #r_hughes reports tulip module not work.
Intel536 0x00008086 0x00001040 #v2.17 this info not builtin to module
Intel537 0x0000e159 0x00000001 #v2.17 this info not builtin to module
mwave 0x00001014 0x0000007d #not in modinfo. see hack below.
agrserial 0x000011c1 0x0000048c #v4.00 nothing in modinfo. Agere chip.
agrserial 0x000011c1 0x0000048f #v4.00 nothing in modinfo. Agere chip.
yenta_socket 0x00001217 0x00006933 #O2 Micro, Inc. CardBus/SmartCardBus Controller v4.00
'


Once again, I would prefer if this variable could remain the same for all kernels. I think that apart from myself, rewin is the only guy who has submitted patches that modify this variable.

Note to rerwin: I have not yet applied the '-1' patch you posted for Upup alpha9.


Posted on 9 Jun 2009, 19:12


No comments posted yet.